#include "irensei_rule_description.h"
#include "irensei_ai_descripter.h"

extern int _IrenseiGetName( char dest[IRENSEI_AI_NAME_LEN] );
extern int _IrenseiGetFirstVersion( void );
extern int _IrenseiGetLastVersion( void );
extern int _IrenseiInitialize(const IRENSEI_RULE_DESCRIPTION * rule, int side, int hout);
extern int _IrenseiFinalize(int param, int hout);
extern int _IrenseiThink(int param, IRENSEI_BOARD_POSITION * result, const IRENSEI_BOARD_POSITION * lastMove, int hout);
extern int _IrenseiUndo( int param, IRENSEI_BOARD_POSITION * lastMove, int hout );
extern int _IrenseiDebug( int param, IRENSEI_DEBUG_BOARD * dest, int idx, int hout );
extern int _IrenseiDebugCount( void );


__declspec(dllexport) int IrenseiGetName( char dest[IRENSEI_AI_NAME_LEN] )	{ return _IrenseiGetName( dest ); }
__declspec(dllexport) int IrenseiGetFirstVersion( void )					{ return _IrenseiGetFirstVersion(); }
__declspec(dllexport) int IrenseiGetLastVersion( void )						{ return _IrenseiGetLastVersion(); }
__declspec(dllexport) int IrenseiInitialize(const IRENSEI_RULE_DESCRIPTION * rule, int side, int hout)		{ return _IrenseiInitialize(rule, side, hout); }
__declspec(dllexport) int IrenseiFinalize(int param, int hout)												{ return _IrenseiFinalize(param, hout); }
__declspec(dllexport) int IrenseiThink(int param, IRENSEI_BOARD_POSITION * result, const IRENSEI_BOARD_POSITION * lastMove, int hout)
{ return _IrenseiThink(param, result, lastMove, hout); }
/* @@@ temporary enabled
__declspec(dllexport) int IrenseiUndo( int param, IRENSEI_BOARD_POSITION * lastMove, int hout )				{ return _IrenseiUndo( param, lastMove, hout ); }
*/
__declspec(dllexport) int IrenseiDebug( int param, IRENSEI_DEBUG_BOARD * dest, int idx, int hout )			{ return _IrenseiDebug( param, dest, idx, hout ); }
__declspec(dllexport) int IrenseiDebugCount( void )															{ return _IrenseiDebugCount(); }


